/***
This file should be synced between:
	spk_web/spkweb-webapp/src/main/webapp/css/plots.css
	spk_publicweb/htdocs/css/plots.css
***/
html {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

*,
*::before,
*::after {
	-webkit-box-sizing: inherit;
	box-sizing: inherit;
}

table.data {
	border-collapse: separate;
	border-spacing: 0;
	table-layout:fixed;
	overflow: auto;
	width: 100%;
	border: 0 solid black;
}

table.data td {
	border-bottom: 1px solid black;
	border-right: 1px solid black;
	/*width:auto;*/
}
table.data tbody {
	z-index: -1;
	overflow: hidden;
}

table.data thead th {
	/*position: fixed;*/
	position: sticky;
	position: -webkit-sticky;
	position: -moz-sticky;
	position: -ms-sticky;
	position: -o-sticky;
	overflow: auto;
	top: 0;
	z-index: 100;
	background-color: #FFFFFF;
	background-clip: padding-box;
	border-top: 2px solid black;
	border-bottom: 2px solid black;
	border-right: 2px solid black;
	padding: 0;
	/*float: left;*/
}


table.data tr:nth-child(even) {
	background-color: #CCCCCC;
}
table.data tr:nth-child(odd) {
	background-color: #FFFFFF;
}

table.data thead th, table.data thead td{
	width: 7em;
}

table.data thead th:first-child {
	z-index: 102;
}

table.data thead th:first-child, table.data tbody td:first-child {
	width: 13em;
	border-left: 1px solid black;
	position: sticky;
	left: 0;
	background-color: inherit;
}

.block {
	max-width: 33em;
	width: unset;
}

.plotlist {
	list-style-type: none;
	display: inline-block;
	padding: 0px;
	margin: 0px;
}
.plotlist li{
	float: left;
	display: inline-block;
	padding: 0px;
	margin: 0px;
	padding-right: .5em;
}
/* .projectlist{
	margin: 0px;
	padding: 0px;
	padding-bottom: .2em;
	border: 1px solid black;
	border-collapse: collapse;
}
.projectlist td, .projectlist th{
	text-align: center;
	min-width: 2em;
	height: 2em;
	border: 1px solid gray;
	padding: 0em 0.2em 0em 0.2em;
}
.projectlist td a{
	padding-right: 0.125em;
	padding-left: 0.125em;
}
.projectlist th:first-child {
	width: 15em;
} */

.plottable {
	border: thin inset black;
	z-index: 40;
	border-collapse: collapse;
}

.plottable td, .plottable th {
	text-align: center;
	border: 1px solid gray;
	margin: 0px;
	border-collapse: collapse;
	border-spacing: 0px;
	box-sizing: border-box;
}

.plottable td {
	height: 3em;
	min-width: 2em;
}

.plottable tr td:first-child {
	padding: 0px 0.25em;
}

.plottable h4 {
	margin: 0;
}

.plottable td a{
	padding-right: 0.125em;
	padding-left: 0.125em;
}

.modal {
	display: none; /* Hidden by default */
	position: fixed; /* Stay in place */
	z-index: 100; /* Sit on top */
	left: 0;
	top: 0;
	margin: 0;
	padding: 0;
	width: 100%; /* Full width */
	height: 100%; /* Full height */
	/*overflow: auto; /* Enable scroll if needed */
	background-color: rgb(0,0,0); /* Fallback color */
	background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
	font-family: arial, sans-serif;
	font-size: 12pt;
	line-height: 1;
}

.modal-content{
	margin: 30px 10px 10px 10px;
	margin-top: -webkit-calc(10px + 1.5em);
	margin-top: calc(10px + 1.5em);
	padding-right: 0.25em;
	border: 1px solid black;
	border-top: 1px solid white;
	left: 0;
	background-color: white;
	width: 98%;
	height: -webkit-calc(100% - 20px - 1.5em);
	height: calc(100% - 20px - 1.5em);
	overflow: auto;
}

#plotdiv {
	padding-top: 0;
	width: 100%;
	height: 100%;
}
#datadiv {
	display: none;
	padding-top: 0x;
}

#datadiv_actual, #plotdiv_actual {
	height: 100%;
}

.tabdiv > span {
	display: inline-block;
	width: 100%;
	text-align: center;
	margin-bottom: 2px;
}

#controls {
	/*z-index: 4;*/
	position: fixed;
	left: 0;
	display: block;
	width: 98%;
	margin-left: 10px;
	margin-top: -1.5em;
	background-color: white;
	border: 1px solid black;
	border-bottom: none;
	padding-bottom: 1px;
	/* min-height: 2em; */
}

#window_buttons {
	margin: max(0.05em, 1px) 1em max(0.05em, 1px) 0;
}

#wateryear_buttons {
	margin: max(0.05em, 1px) 1em max(0.05em, 1px) 0;
	display: inline-block;
}

.close {
	position: absolute;
	right: 0;
	top: 0;
	/*right: 1.5 em;*/
	color: #aaa;
	float: right;
	font-size: 28px;
	font-weight: bold;
	z-index: 10;
	line-height: 28px;
	margin-right: 5px;
}

.close:hover,.close:focus {
	color: black;
	text-decoration: none;
	cursor: pointer;
}

.tab {
	display: inline-block;
	margin: 0px;
	padding: 0px;
	text-align: center;
	min-width: 5em;
	height: 1.7em;
	background-color: #aaa;
	color: black;
	/*outline: 1px solid black;*/
	border-bottom: 1px inset white;
	z-index: 2;
	float: left;
}

.tab.active{
	background-color:white;
	border-bottom: 1px inset white;
}

.tab:hover {
	color: blue;
	/*outline: 1px solid #aaa;*/
}

.modebar {
	padding-right: 0.25em!important;
}

@media screen and (max-width: 600px) {
	.projectlist td a{
		padding-right: 0;
		padding-left: 0;
	}
}

@media (max-width: 661px) {
	/* Change plot control bar */
	/* .window_buttons :nth-child(1) {
		display: none;
		visibility: collapse;
	} */

	#controls {
		margin-left: 0;
		width: 100%;
		min-height: 3.5em;
	}
	.modal-content {
		margin-left: 0;
		margin-right: 0;
		width: 100%;
	}
}

@media screen and (max-width: 600px) {
	.icon {
		width: 28px;
		height: 28px;
	}

	button {
		min-height: 26px;
		min-width: 26px;
	}

	select {
		min-height: 26px;
		min-width: 26px;
	}
	.tab {
		height: 28px;
	}
}

@media (max-width: 648px) {
	#controls {
		margin-top: -3.5em;
	}
	.modal-content {
		margin: 0;
		margin-top: -webkit-calc(10px + 2.8em);
		margin-top: calc(10px + 2.8em);
		height: -webkit-calc(100% - 10px - 2.8em);
		height: calc(100% - 10px - 2.8em);
	}
}

@media screen and (max-width: 445px) {
	.icon {
		width: 24px;
		height: 24px;
	}
}

@media screen and (max-width: 395px) {
	.icon {
		width: 20px;
		height: 20px;
	}
}

@media (max-width: 380px) {
	#window_buttons {
		margin-right: 0.25em;
	}
	#wateryear_buttons {
		margin-right: 0;
	}
}

@media (pointer: coarse) {
	select {
		height: unset;
	}

	.plottable a {
		font-size: 150%;
	}

	.close {
		font-size: 38px;
	}
}
